Bug 365201 - octave crashes when evaluating an oct-file that returns an integer array
octave crashes when evaluating an oct-file that returns an integer array
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 10:27 EDT by Wim Van Hoydonck
Modified: 2008-06-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:48:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oct-file that triggers the bug (527.67 KB, application/octet-stream)
2007-11-03 10:27 EDT, Wim Van Hoydonck
no flags Details
C++ file that triggers the crash (527.67 KB, application/octet-stream)
2007-11-03 10:30 EDT, Wim Van Hoydonck
no flags Details
C++ file that triggers the crash (633 bytes, application/octet-stream)
2007-11-03 10:34 EDT, Wim Van Hoydonck
no flags Details
Updated octave.spec to compile latest (Oct 31 2007) release of octave and get rid of this bug (18.85 KB, text/plain)
2007-11-05 07:36 EST, Wim Van Hoydonck
no flags Details

  None (edit)
Description Wim Van Hoydonck 2007-11-03 10:27:55 EDT
Description of problem:

The current version of octave in Fedora 7 (version 2.9.9something) crashes when 
executing an oct-file that returns an integer array (defined with int[8,16,32 
or 64]NDArray. It does not crash when the array real (NDArray) or when only one 
of the elements of the integer array is returned (as in: retval(0) = test(1) )

Note that this crash does not occur in the latest release, 2.9.16 (from october 
31 2007).

Version-Release number of selected component (if applicable):
2.9.9

How reproducible:
Compile and execute the attached file as follows:

$ mkoctfile pass_int_arr.cc
$ octave --quiet --eval "pass_int_arr(5)"


  
Actual results:

[wim@localhost module]$ octave --quiet --eval "pass_int_arr(5)"
ans =

octave: ../liboctave/dim-vector.h:102: octave_idx_type& 
dim_vector::dim_vector_rep::elem(int): Assertion `i >= 0 && i < ndims' failed.
panic: Aborted -- stopping myself...
attempting to save variables to `octave-core'...
save to `octave-core' complete
Aborted


Expected results:

return an integer array without crashing.

Additional info:
Comment 1 Wim Van Hoydonck 2007-11-03 10:27:55 EDT
Created attachment 247301 [details]
oct-file that triggers the bug
Comment 2 Wim Van Hoydonck 2007-11-03 10:30:35 EDT
Created attachment 247311 [details]
C++ file that triggers the crash

oops, first attachement was the compiled oct file itself.
This attachement contains the C++ file.
Comment 3 Wim Van Hoydonck 2007-11-03 10:34:23 EDT
Created attachment 247321 [details]
C++ file that triggers the crash

pff ...

and now for real
Comment 4 Wim Van Hoydonck 2007-11-05 07:36:28 EST
Created attachment 247911 [details]
Updated octave.spec to compile latest (Oct 31 2007) release of octave and get rid of this bug
Comment 5 Bug Zapper 2008-05-14 10:58:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:48:01 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.